﻿
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Services.Interfaces
{
    public interface IAttendanceService : IService<Attendance, AttendanceDto, AttendanceDto>
    {
        Task<PagingResultDto<AttendanceDto>> GetAll(AttendancePagingInputDto PagingInputDto);
        Task<AttendanceDto?> GetAttendanceByUserId(string userId, DateTime attendanceDate);

    }
}
