﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class ContractWorkingDay : AuditEntity
    {

        public long ContractId{ get; set; }
        [ForeignKey("ContractId")]
        public Contract? Contract { get; set; }
        [Required]
        [MaxLength(50)]
        public string WorkingDay { get; set; }
       

    }
}
