﻿using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using MTWorkHR.Core.Entities;

namespace MTWorkHR.Infrastructure.Entities
{
    public class UserAddress : AuditEntity
    {
        public string UserId { get; set; }

        [ForeignKey("UserId")]
        public ApplicationUser User { get; set; }
      
        public long? CountryId { get; set; }
        public long? CityId{ get; set; }

        [ForeignKey("CountryId")]
        public CountryLookup? Country { get; set; }

        [ForeignKey("CityId")]
        public City? City { get; set; }
        public string? PostalCode { get; set; }
        public string? AddressDesc{ get; set; }
    }
}
